rooms.push({
	id: "nearby-outpost",
	name: "Nearby Station",
	description: "Nestled close to a dilapidated mining outpost, surrounded by an endless black void.",
	play: "nearby-outpost",
	actions: [
		'store-solar',
		'unfurl-solar',
		'activate-ion-engine',
		'activate-ramjet',
		'disable-ion-engine',
		'disable-ramjet',
	],
	doors: [
		{
			id: "mining-outpost",
			button: "Dock",
			action: "Docking",
			requires: () => true,
			start: () => {
				receiveMessage({name:"[Station Tower]", id:-1, style: "station"}, "Acknowledged "+userData.name+". You are cleared to dock.");
				play('dock-with-station');
			},
			run: () => { userData.position = "mining-outpost"; },
			duration: 2000
		},
		{
			id: "asteroid-field",
			button: "Travel to Asteroid Field",
			action: "Traveling",
			requires: () => {
				let enoughFuel = userData.fuel > 1;
				if (!enoughFuel) { errorMessage = "insufficient fuel for a return trip"; }
				return enoughFuel;
			},
			start: () => {
				play('travel-right')
			},
			run: () => {
				userData.fuel--;
				userData.position = "asteroid-field";
			},
			duration: 4000
		}
	],
	viewable: [
		{elementId: 'actions', data: {}},
		{elementId: 'doors', data: {}},
		{elementId: 'room-description', data: {}},
	]
});